<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="temperatura">
        <h2 class="jh-entity-heading" data-cy="temperaturaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaTemperatura.detail.title')">Temperatura</span> {{ temperatura.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaTemperatura.temperatura')">Temperatura</span>
          </dt>
          <dd>
            <span>{{ temperatura.temperatura }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaTemperatura.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="temperatura.fechaRegistro">{{ $d(Date.parse(temperatura.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaTemperatura.user')">User</span>
          </dt>
          <dd>
            {{ temperatura.user ? temperatura.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="temperatura.id"
          :to="{ name: 'TemperaturaEdit', params: { temperaturaId: temperatura.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./temperatura-details.component.ts"></script>
